// ******************************************************************************************
// Mod Name: LGCPack
// Mod Id: LGCPack_LiranGoldman
// Mod Version: 0.1.0
// Mod File: code.js
// ******************************************************************************************
// Author: Liran Goldman
// Last modified: 25/07/2018 15:18
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var LGCPack = {};

(function(){

// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding LGC PC
// -----------------------------------------------------------
GDT.addPlatform({
	id:"ef897c99-53c9-4b0d-bdcf-f7236778bdff",
	name:"LGC PC",
	company:"LGC",
	startAmount:0.3,
	unitsSold:0.35,
	licencePrize:0,
	published:"1/1/1",
	platformRetireDate:"1/11/2",
	developmentCosts:7E3,
	genreWeightings:[  0.9, 1, 0.9, 1, 1, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:1,
	iconUri: LGCPack_LiranGoldman.modPath + "/images/platforms/LGC PC V1.png",
	events:[{
	id: "784741d5-ad32-4f28-aebd-10e98c4e8d60",
	date: "1/5/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LGC PC Break the market!",
	text: "LGC PC is first place in the market! LGC said that new PC is coming!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/LGC PC V1.png",
	buttonText: "Oh YA",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "f8719c78-54e3-4aab-9c35-36a0a5ea8e18",
	date: "1/11/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LGC PC Get off from the market!",
	text: "Affter more than 350K units sold the LGC PC Get off from the market!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/LGC PC V1.png",
	buttonText: "):",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding LGC PC G Edition
// -----------------------------------------------------------
GDT.addPlatform({
	id:"f8668d4f-2371-4f87-9226-ea848c9d64d1",
	name:"LGC PC G Edition",
	company:"LGC",
	startAmount:0.35,
	unitsSold:0.4,
	licencePrize:2E3,
	published:"1/11/3",
	platformRetireDate:"4/9/1",
	developmentCosts:1E4,
	genreWeightings:[  0.9, 1, 0.9, 1, 1, 0.7 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:2,
	iconUri: LGCPack_LiranGoldman.modPath + "/images/platforms/G64 G.png",
	events:[{
	id: "daff07e1-4b3e-4d16-81d5-067ac1c19944",
	date: "1/11/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LGC PC G Edition in the market!",
	text: "affter the big success of LGC PC LGC create the \\\"LGC PC G Edition\\\"! That edition included mouse! A big bonus for FPS/Action players!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/G64 G.png",
	buttonText: "YAY!",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "31d27c03-6135-4257-b441-5fb6cb37a681",
	date: "4/9/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LGC PC G Edition Get Off From The Market!",
	text: "Affter more than 400K units sold the LGC PC G Edition Get off from the market!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/G64 G.png",
	buttonText: "):",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding ORens PC
// -----------------------------------------------------------
GDT.addPlatform({
	id:"8b9424ba-1cf3-47f8-a1b2-8a5d87f68836",
	name:"ORens PC",
	company:"Orens",
	startAmount:0.34,
	unitsSold:0.37,
	licencePrize:4E3,
	published:"1/11/3",
	platformRetireDate:"4/9/1",
	developmentCosts:1E4,
	genreWeightings:[  0.9, 1, 0.9, 1, 1, 0.7 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:2,
	iconUri: LGCPack_LiranGoldman.modPath + "/images/platforms/ORens PC.png",
	events:[{
	id: "2fbbe4d6-3600-46b8-b368-d06bf7a862a5",
	date: "1/11/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "ORens PC At the market!",
	text: "Affter the big success of LGC ORens company make thair own PC! Oreans maneger said: \\\"LGC Can not control the market anymore!\\\" You think ORens can go to the top of the market?",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/ORens PC.png",
	buttonText: "hm maybe?",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "763eb09c-7530-4041-b433-4d1d219347d1",
	date: "4/9/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "ORens PC Get off From The Market!",
	text: "Affter more than 370K units sold the ORens PC Get off from the market!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/ORens PC.png",
	buttonText: "):",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding LGC SC
// -----------------------------------------------------------
GDT.addPlatform({
	id:"3dfc9583-35a1-4b9e-b08d-2318e55a5e98",
	name:"LGC SC",
	company:"LGC",
	startAmount:0.36,
	unitsSold:0.43,
	licencePrize:6E4,
	published:"2/1/2",
	platformRetireDate:"6/9/1",
	developmentCosts:2E4,
	genreWeightings:[  0.9, 0.7, 0.8, 0.8, 0.7, 1 ],
	audienceWeightings:[  1, 0.9, 0.6 ],
	techLevel:2,
	iconUri: LGCPack_LiranGoldman.modPath + "/images/platforms/LGC SC.png",
	events:[{
	id: "88be99d7-7b11-4bb7-b0cf-d6e448e76f2b",
	date: "2/1/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LGC SC IS HERE!",
	text: "LGC manager said to Orens: \\\"You want war so you get war!\\\", now we wait to ORens answer. The LGC SC (Super Console) is strong and with more functions!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/LGC SC.png",
	buttonText: "Ok",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "69e6070a-6ae2-417d-8818-ab3f45449d80",
	date: "6/9/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LGC SC GET OFF FROM THE MARKET!",
	text: "Affter more than 6 years and 430K Unit sold the console LGC SC get OFF from the market!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/LGC SC.png",
	buttonText: "):",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding ORens V
// -----------------------------------------------------------
GDT.addPlatform({
	id:"75182fc0-29a5-4b7d-a938-8d17dda5bf99",
	name:"ORens V",
	company:"Orens",
	startAmount:0.35,
	unitsSold:0.42,
	licencePrize:7E4,
	published:"3/2/3",
	platformRetireDate:"11/3/4",
	developmentCosts:3E4,
	genreWeightings:[  0.9, 0.7, 0.8, 0.8, 0.7, 1 ],
	audienceWeightings:[  0.9, 1, 0.7 ],
	techLevel:2,
	iconUri: LGCPack_LiranGoldman.modPath + "/images/platforms/ORens V.png",
	events:[{
	id: "04b5dad9-9b9c-4351-8b3b-2d79f4c2c1e8",
	date: "3/2/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: " ORens V In the market!",
	text: "Orens manager answer to LGC: \\\"If you want to lose just say! oh you already said\\\", The ORens V is stronger than LGC but less popular.",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/ORens V.png",
	buttonText: "hm",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "1646ca7c-3894-4e63-863d-970fe097bb9e",
	date: "11/3/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "ORens V get OFF from the market!",
	text: "Affter more than 10 years and 420K Unit sold the console ORens V get OFF from the market!",
	image: LGCPack_LiranGoldman.modPath + "/images/notifications/ORens V.png",
	buttonText: "):",
	weeksUntilFired: 0
	});} 
	}
]
	});


// ******************************************************************************************
// Events
// ******************************************************************************************

GDT.addEvent({
	id: "3d3a809a-731d-42ae-9f01-41b9ede473c9",
	date: "1/11/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "The Start of The Real War",
	text: "New Company Orens is HERE! Orens manager say: \\\"LGC Control the market too mach time, now its our turn.\\\" Orens manager say that they work on new platform - ORens PC. LGC manager warn Orens and said \\\"If  you want WAR thats what you get!\\\".",
	image: LGCPack_LiranGoldman.modPath + "",
	buttonText: "LETS START THE REAL WAR!",
	weeksUntilFired: 0
	});} 
	});

GDT.addEvent({
	id: "bed6b28f-5505-4752-a2e9-981249d9d3bd",
	date: "1/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LGC: The New Computers Company!",
	text: "LGC come to the market and become the most popular Computers Company!",
	image: LGCPack_LiranGoldman.modPath + "",
	buttonText: "Cool!",
	weeksUntilFired: 0
	});} 
	});



})();
